What version should I run

Discussion in 'Server & Community Management' started by Venomous_Creeper, Oct 18, 2019.

  1. Hello,

    I’m working on a server that’s a hybrid between skyblock and survival, what’s the best version to use?

    Ideally for me I want to use the latest version however I’m not sure how much it would change the performance.
     
  2. joshwenke

    Wiki Team

    1.12.2 is very stable and almost all plugins support it. I'd not recommend running any 1.13 variant. 1.14 is good, but if you're going to shoot for the latest version I'd just wait until 1.15, when a lot of fixes are coming apparently.
     
    • Useful Useful x 1
  3. uh yeah that’s kinda my question
     
  4. Sorry, I'll be constructive.
    It depends on users, if you have users that like 1.8, I recommend you to make the server on 1.8 and upload plugin name ViaVersion so users in 1.9 - 1.14 can join the server, but the pvp will be like 1.8.
    If you have users that like 1.8+, it isn't important which version, I recommend you to make the server on 1.9 and upload ViaVersion, so users in 1.9+ can join the server and the pvp will be like 1.9+.

    My opinion is, making a server like cubecraft (separate users from 1.8 to 1.9), but is difficulty.

    If you need want to make a server like cubecraft, you can contact me and I will help you.